
Redmine - Defect #14835

Request: Don't notify users of their own changes to issues

2013-09-03 19:40 - Andrew Pennebaker

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When I change an issue in Redmine, I don't need an email telling me what I just did. Could we change the default behavior to skip

notifications when the user is the initiator?

Related issues:

Is duplicate of Redmine - Feature #14574: "I don't want to be notified of cha... Closed

History

#1 - 2013-09-06 17:13 - Thomas Godard

Just go to your account page and check the box : I don't want to be notified of changes that I make myself

Putting this by default might not be wanted by everybody ...

What could be done could be in the settings add a checkbox under the "Default notification option" named "I want default notification for the changes I

do" which would change the default behavior for any new account and it would be a feature request.

#2 - 2013-09-09 23:08 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

Exactly like that, go to your account page and check the box : I don't want to be notified of changes that I make myself

#3 - 2014-09-18 12:31 - Ismael Barros²

I'm sorry for reviving the dead, but I don't think this issue should've been closed. This issue discusses the default value for this setting, and the fact

that it can be manually changed is assumed, and actually unrelated.

I think not being notified by the changes I made myself is a much saner default. I've introduced many novice users to Redmine, and most of them

complaint that they receive too many superfluous emails from Redmine until I teach them to change this setting. It's just bad user experience.

#4 - 2015-12-15 11:41 - Go MAEDA

- Is duplicate of Feature #14574: "I don't want to be notified of changes that I make myself" as Default for all User added

#5 - 2015-12-15 11:41 - Go MAEDA

- Resolution set to Duplicate
